%define _debugsource_template %{nil}
%define debug_package %{nil}
Name:           omx-il
Version:        1.0
Release:        1.jh7110%{?dist}
Summary:        OpenOMX omxil Library with test program.
License:        MIT
URL:            https://github.com/starfive-tech/
Source0:        omx-il_1.0.tar.gz

BuildRequires: automake 
BuildRequires: gcc 
BuildRequires: make
BuildRequires: libavformat-free-devel
BuildRequires: libavutil-free-devel
BuildRequires: libavcodec-free-devel
BuildRequires: libswresample-free-devel 

%description
OpenOMX omxil Library with test program
Build on Fedora 41.

%prep
%setup -q

%build
cd %{_builddir}/omx-il-1.0/omx-il
make clean 
make 
make test


%install
cd %{_builddir}/omx-il-1.0/omx-il
make install STAGING_DIR=%{buildroot}
make install_test STAGING_DIR=%{buildroot}
mv %{buildroot}/usr/lib %{buildroot}/usr/lib64


%files 
%{_libdir}/libsf-omx-il.so
%{_libdir}/libOMX_Core.so
%{_bindir}/video_dec_test
%{_bindir}/video_enc_test
%{_bindir}/mjpeg_dec_test
%{_includedir}/omx-il/




%changelog
* Wed Jul 10 2024 Leo Lu <leo.lu@starfivetech.com> - 1.0
- JH7110 OpenMAX Build Packages On F41.

